PORT-INSTALLED(1)

NAME
port-installed - List installed versions of a given port, or all installed ports

SYNOPSIS

port [-vq] installed
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port installed can be used in two separate ways: Either without arguments, in which case it will print a list of all installed ports (both active and inactive), or with arguments, which will return a list of installed ports that match the argument expression.

The output of port installed contains the name, version and variants of the installed ports and whether the port is active or inactive. See the PORT IMAGES section for an explanation of the active/inactive state.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-v
    Print the platform at install time (i.e., your macOS version) and the architecture(s) of the installed port.

-q
    Do not print the header line. This is useful when parsing the output of port installed in scripts for further processing.

PORT IMAGES

MacPorts has the ability to install multiple versions or different variant selections of the same port. The files will be stored in an intermediate location as archives, which allows to switch between the versions. Only one version can be active at a time. On activation, files will be copied to their intended place in prefix.

More information on this topic can be found in the The MacPorts Guide[1].

To check the current status of a specific port, use port-installed(1).

SEE ALSO

port(1), port-activate(1)

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>

EXTERNAL REFERENCES

1.  The MacPorts Guide
    https://guide.macports.org/#internals.images